> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://mmg-sdk.wetechnologygroup.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mmg-sdk.wetechnologygroup.com/_mcp/server.

# Transaction History API

GET https://mwallet.mmgtest.net/olive/publisher/v1/e-merchant-initiated-transactions/txn-history

Reference: https://mmg-sdk.wetechnologygroup.com/api-reference/transactions/transaction-history-api

## Servers

- `https://mwallet.mmgtest.net/olive/publisher/v1` (Sandbox Environment, default)
- `https://ecommerce.mymmg.gy/olive/publisher/v1` (Live Environment)

## Request

### Query parameters

- `msisdn` (string, optional)
- `offset` (string, optional)
- `fromdate` (string, optional)
- `todate` (string, optional)

### Headers

- `x-wss-mid` (string, required)
- `x-wss-mkey` (string, required)
- `x-wss-msecret` (string, required)
- `x-api-key` (string, required)
- `x-wss-correlationid` (string, required)
- `x-wss-token` (string, required)

## Response

### 200

Successful Response

## Examples

**Response**

```json
{
  "executionId": "20373216813109",
  "TransactionList": [
    {
      "amount": "500",
      "currency": "GYD",
      "displayType": null,
      "transactionStatus": "completed",
      "descriptionText": "",
      "modificationDate": "2025-11-01T18:02:16.000Z",
      "transactionReference": "20373199561104",
      "transactionReceipt": "20373199561104",
      "debitParty": [
        {
          "key": "accountid",
          "value": "1896"
        },
        {
          "key": "accountcategory",
          "value": "ewallet"
        }
      ],
      "creditParty": [
        {
          "key": "accountid",
          "value": "32254"
        },
        {
          "key": "accountcategory",
          "value": "ewallet"
        }
      ]
    }
  ]
}
```

**SDK Code**

```python Transactions_transactionHistoryApi_example
import requests

url = "https://mwallet.mmgtest.net/olive/publisher/v1/e-merchant-initiated-transactions/txn-history"

querystring = {"msisdn":"{{x-wss-mid}}","offset":"100","fromdate":"{{fromdate}}","todate":"{{todate}}"}

headers = {
    "x-wss-mid": "{{x-wss-mid}}",
    "x-wss-mkey": "{{x-wss-mkey}}",
    "x-wss-msecret": "{{x-wss-msecret}}",
    "x-api-key": "{{x-api-key}}",
    "x-wss-correlationid": "{{$randomUUID}}",
    "x-wss-token": "{{x-wss-token}}"
}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Transactions_transactionHistoryApi_example
const url = 'https://mwallet.mmgtest.net/olive/publisher/v1/e-merchant-initiated-transactions/txn-history?msisdn=%7B%7Bx-wss-mid%7D%7D&offset=100&fromdate=%7B%7Bfromdate%7D%7D&todate=%7B%7Btodate%7D%7D';
const options = {
  method: 'GET',
  headers: {
    'x-wss-mid': '{{x-wss-mid}}',
    'x-wss-mkey': '{{x-wss-mkey}}',
    'x-wss-msecret': '{{x-wss-msecret}}',
    'x-api-key': '{{x-api-key}}',
    'x-wss-correlationid': '{{$randomUUID}}',
    'x-wss-token': '{{x-wss-token}}'
  }
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Transactions_transactionHistoryApi_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://mwallet.mmgtest.net/olive/publisher/v1/e-merchant-initiated-transactions/txn-history?msisdn=%7B%7Bx-wss-mid%7D%7D&offset=100&fromdate=%7B%7Bfromdate%7D%7D&todate=%7B%7Btodate%7D%7D"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-wss-mid", "{{x-wss-mid}}")
	req.Header.Add("x-wss-mkey", "{{x-wss-mkey}}")
	req.Header.Add("x-wss-msecret", "{{x-wss-msecret}}")
	req.Header.Add("x-api-key", "{{x-api-key}}")
	req.Header.Add("x-wss-correlationid", "{{$randomUUID}}")
	req.Header.Add("x-wss-token", "{{x-wss-token}}")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Transactions_transactionHistoryApi_example
require 'uri'
require 'net/http'

url = URI("https://mwallet.mmgtest.net/olive/publisher/v1/e-merchant-initiated-transactions/txn-history?msisdn=%7B%7Bx-wss-mid%7D%7D&offset=100&fromdate=%7B%7Bfromdate%7D%7D&todate=%7B%7Btodate%7D%7D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-wss-mid"] = '{{x-wss-mid}}'
request["x-wss-mkey"] = '{{x-wss-mkey}}'
request["x-wss-msecret"] = '{{x-wss-msecret}}'
request["x-api-key"] = '{{x-api-key}}'
request["x-wss-correlationid"] = '{{$randomUUID}}'
request["x-wss-token"] = '{{x-wss-token}}'

response = http.request(request)
puts response.read_body
```

```java Transactions_transactionHistoryApi_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://mwallet.mmgtest.net/olive/publisher/v1/e-merchant-initiated-transactions/txn-history?msisdn=%7B%7Bx-wss-mid%7D%7D&offset=100&fromdate=%7B%7Bfromdate%7D%7D&todate=%7B%7Btodate%7D%7D")
  .header("x-wss-mid", "{{x-wss-mid}}")
  .header("x-wss-mkey", "{{x-wss-mkey}}")
  .header("x-wss-msecret", "{{x-wss-msecret}}")
  .header("x-api-key", "{{x-api-key}}")
  .header("x-wss-correlationid", "{{$randomUUID}}")
  .header("x-wss-token", "{{x-wss-token}}")
  .asString();
```

```php Transactions_transactionHistoryApi_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://mwallet.mmgtest.net/olive/publisher/v1/e-merchant-initiated-transactions/txn-history?msisdn=%7B%7Bx-wss-mid%7D%7D&offset=100&fromdate=%7B%7Bfromdate%7D%7D&todate=%7B%7Btodate%7D%7D', [
  'headers' => [
    'x-api-key' => '{{x-api-key}}',
    'x-wss-correlationid' => '{{$randomUUID}}',
    'x-wss-mid' => '{{x-wss-mid}}',
    'x-wss-mkey' => '{{x-wss-mkey}}',
    'x-wss-msecret' => '{{x-wss-msecret}}',
    'x-wss-token' => '{{x-wss-token}}',
  ],
]);

echo $response->getBody();
```

```csharp Transactions_transactionHistoryApi_example
using RestSharp;

var client = new RestClient("https://mwallet.mmgtest.net/olive/publisher/v1/e-merchant-initiated-transactions/txn-history?msisdn=%7B%7Bx-wss-mid%7D%7D&offset=100&fromdate=%7B%7Bfromdate%7D%7D&todate=%7B%7Btodate%7D%7D");
var request = new RestRequest(Method.GET);
request.AddHeader("x-wss-mid", "{{x-wss-mid}}");
request.AddHeader("x-wss-mkey", "{{x-wss-mkey}}");
request.AddHeader("x-wss-msecret", "{{x-wss-msecret}}");
request.AddHeader("x-api-key", "{{x-api-key}}");
request.AddHeader("x-wss-correlationid", "{{$randomUUID}}");
request.AddHeader("x-wss-token", "{{x-wss-token}}");
IRestResponse response = client.Execute(request);
```

```swift Transactions_transactionHistoryApi_example
import Foundation

let headers = [
  "x-wss-mid": "{{x-wss-mid}}",
  "x-wss-mkey": "{{x-wss-mkey}}",
  "x-wss-msecret": "{{x-wss-msecret}}",
  "x-api-key": "{{x-api-key}}",
  "x-wss-correlationid": "{{$randomUUID}}",
  "x-wss-token": "{{x-wss-token}}"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://mwallet.mmgtest.net/olive/publisher/v1/e-merchant-initiated-transactions/txn-history?msisdn=%7B%7Bx-wss-mid%7D%7D&offset=100&fromdate=%7B%7Bfromdate%7D%7D&todate=%7B%7Btodate%7D%7D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```